Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.zookeeper.server
Class ZooKeeperServerMain

    java.lang.Object
      org.apache.zookeeper.server.ZooKeeperServerMain

    public class ZooKeeperServerMain

extends Object

This class starts and runs a standalone ZooKeeperServer.

Constructor Summary
`ZooKeeperServerMain()`

Method Summary
`static void` | `main(String[] args)`
`void` | `runFromConfig(org.apache.zookeeper.server.ServerConfig config)` Run from a ServerConfig.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZooKeeperServerMain

    public ZooKeeperServerMain()

Method Detail

### main

    public static void main(String[] args)

### runFromConfig

    public void runFromConfig(org.apache.zookeeper.server.ServerConfig config)
                       throws IOException

  Run from a ServerConfig.

  Parameters:
    `config` - ServerConfig to use.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation